%define major 3.1
%define libname %mklibname xerces-c %{major}
%define develname %mklibname xerces-c -d

Summary:	Xerces-C++ validating XML parser
Name:		xerces-c
Version:	3.1.1
Release:	%mkrel 1
License:	Apache
Group:		System/Libraries
URL:		http://xml.apache.org/xerces-c/
Source0:	http://apache.dataphone.se/xerces/c/3/sources/%{name}-%{version}.tar.gz
Patch0:		xerces-c-3.0.1-include.patch
BuildRequires:	curl-devel
BuildRequires:	zlib-devel
BuildRequires:	libicu-devel icu
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

The parser provides high performance, modularity, and scalability. Source
code, samples and API documentation are provided with the parser. For
portability, care has been taken to make minimal use of templates, no RTTI,
and minimal use of #ifdefs.

%package -n	%{libname}
Summary:	Xerces-c library
Group:		System/Libraries

%description -n %{libname}
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains the shared xerces-c library.

%package -n	%{develname}
Summary:	Header files for Xerces-C++ validating XML parser
Group:		Development/C++
Requires:	%{libname} >= %{epoch}:%{version}-%{release}
Provides:	xerces-c-devel = %{epoch}:%{version}-%{release}
Provides:	libxerces-c-devel = %{epoch}:%{version}-%{release}
Conflicts:	%{mklibname xerces-c 0 -d}
Conflicts:	%{mklibname xerces-c 28 -d}

%description -n	%{develname}
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains development files such as header files you can use to
develop XML applications with Xerces-C++.

%package	doc
Summary:	Documentation for Xerces-C++ validating XML parser
Group:		Books/Other
Obsoletes:	xerces-c-manual

%description	doc
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains the documentation for Xerces-C++.

%prep
%setup -q -n %{name}-%{version}
#patch0 -p0

%build
#rm -f config.cache
#libtoolize --copy --force; aclocal -I m4; autoheader; automake -a -c -f; autoconf

%configure2_5x \
    --disable-static \
    --enable-netaccessor-curl \
    --enable-transcoder-icu \
%ifarch %{ix86}
    --disable-sse2 \
%endif
    --enable-msgloader-icu
%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

# cleanup
rm -f  %{buildroot}%{_libdir}/libxerces-c.*a

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/libxerces-c-%{major}.so

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/xercesc
%{_libdir}/libxerces-c.so
%{_libdir}/pkgconfig/xerces-c.pc

%files doc
%defattr(-,root,root,-)
%doc CREDITS LICENSE doc/*


%changelog
* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 1:3.1.1-1mdv2011.0
+ Revision: 554383
- update to new version 3.1.1
- only disable sse2 on i586 nodes

  + Pascal Terjan <pterjan@mandriva.org>
    - Disable SSE2 (#59966)

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 1:3.1.0-2mdv2010.1
+ Revision: 526123
- rebuild for new icu

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 1:3.1.0-1mdv2010.1
+ Revision: 499637
- New version 3.1.0

* Sun Aug 30 2009 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.1-1mdv2010.0
+ Revision: 422637
- 3.0.1
- nuke upstream implemented patches
- nuke redundant patches
- add patches from suse
- spec file cleanup
- fix deps

* Sun Aug 30 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.8.0-3mdv2010.0
+ Revision: 422544
- P4: security fix for CVE-2009-1885

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1:2.8.0-2mdv2009.0
+ Revision: 266081
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 24 2008 Helio Chissini de Castro <helio@mandriva.com> 1:2.8.0-1mdv2009.0
+ Revision: 197274
- Disable nrproc compilation
- Added debug compiling check turned off by default
- Added xqilla content patches ( needed for xqilla 2.2 )
- New upstream version
- Compile with pthreads
- Fixed devel package name
- fixed proper soname

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-not-capitalized
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 29 2007 Thierry Vignaud <tv@mandriva.org> 1:2.7.0-7mdv2008.1
+ Revision: 113935
- fix invalid group

* Fri Nov 23 2007 Thierry Vignaud <tv@mandriva.org> 1:2.7.0-6mdv2008.1
+ Revision: 111613
- rebuild for new libicu

* Mon May 07 2007 Helio Chissini de Castro <helio@mandriva.com> 1:2.7.0-5mdv2008.0
+ Revision: 24815
- Obsoletes xerces-c packages with samples binaries. This is not necessary
- Fixed 64 build
- Get rid of nls, use ICU


* Tue Sep 19 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-19 14:46:32 (62357)
- Most of packages like pathan or xquery depends on private headers. If we want avoid include an internal copy of xerces-c in every package, we need install base impl headers. This will enable, along with a post 4.2 db, the construction of dbxml and reduce size of many applications with code embedded

* Wed Aug 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-08-23 20:57:52 (57755)
- fix group

* Wed Aug 16 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-16 15:23:43 (56359)
- Fixed x86_64 issues

* Tue Aug 15 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-15 13:18:46 (56183)
- Raise epoch to make proper devel to be installed. Last sonam was wrong named 26, since 26 is major, and minor is 0

* Tue Aug 15 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-15 06:18:36 (56161)
- No distributed compilation

* Tue Aug 15 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-15 06:10:46 (56155)
- import xerces-c-2.7.0-1mdv2007.0

* Mon Dec 13 2004 Warly <warly@mandrakesoft.com> 2.6.0-2mdk
- rebuild without libxerces25 dependencies

* Wed Aug 18 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040818.1mdk
- update to latest CVS version

* Fri Jul 23 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040723.1mdk
- go to version 20040723104641 for bug 10387

* Tue Jul 20 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040720.1mdk
- new version (based on CVS version)

